DeveloperSide.NET Forums

DeveloperSide.NET => Building a Web Server, for Linux => Topic started by: hokulto on October 29, 2003, 08:25:59 PM



Title: Apache 2.0.47 with mod_ssl and mod_deflate
Post by: hokulto on October 29, 2003, 08:25:59 PM
Hello!

I have installed Openssl-0.9.7b, Apache-2.0.47, Mysql-4.0.14 and Php-4.3.2, and now I would like to enable modssl on Apache. I´m afraid to do something wrong and stop working my webserver, so, could somebody help me, please?

Thanks,

Hokulto
 :wink:


Title: Apache 2.0.47 with mod_ssl and mod_deflate
Post by: admin on October 29, 2003, 08:46:49 PM
To start Apache w/SSL

1st - Shut down the server - apachectl stop
2nd - Start Apache w/SSL - apachectl startssl

Now this is assuming you set up everything right, and have ssl certificates.


Title: Apache 2.0.47 with mod_ssl and mod_deflate
Post by: Anonymous on October 29, 2003, 09:36:09 PM
Quote from: "admin"
To start Apache w/SSL

1st - Shut down the server - apachectl stop
2nd - Start Apache w/SSL - apachectl startssl

Now this is assuming you set up everything right, and have ssl certificates.


Ok, it´s Done, but when I type "https://localhost", I receive the following message:
"The conection was refused when attempting to contact localhost"

I know that  I haven´t  created the certificates. I will do it, but I have another doubt. I don´t know if the required modules were enabled when I´ve made "./configure".  If it´s working with the command "apacheclt startssl" without erros messages it is a garantee that its was installed correctly, isn´t it? If not, hown can I discover it?

Thanks a lot!
 :wink:


Title: Apache 2.0.47 with mod_ssl and mod_deflate
Post by: admin on October 29, 2003, 10:21:12 PM
see if mod_ssl.so is in /usr/local/Apache2/modules directory, if it is then Apache was built with SSL support.


Title: Apache 2.0.47 with mod_ssl and mod_deflate
Post by: hokulto on October 30, 2003, 03:54:35 PM
It is not in /usr/loal/apache2/modules. So, I will compile apache again following developside instruction. Doubt: I will need to recompile php too?

Thanks,


Title: Apache 2.0.47 with mod_ssl and mod_deflate
Post by: Jorge on October 30, 2003, 04:06:30 PM
I'm no expert at Linux, but if it a a DSO i thing you wont need to


Title: Apache 2.0.47 with mod_ssl and mod_deflate
Post by: admin on October 30, 2003, 06:00:29 PM
You don't need to recompile PHP.